Get parent info

Retrieves the current financial state of a composite balance parent.

This endpoint returns the parent’s total credit line, current available credit (after accounting for all child balances), and credit limit, allowing you to assess whether additional child balances can be created.

The parent_id parameter refers to the external UUID of the parent balance.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 32

The composite balance parent's unique identifier

Headers
string
required

OAuth token belonging to the e-commerce

Responses

{
  "text": "Success",
  "timestamp": "2025-10-09T10:26:49.741311816-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/7c6474ab26337a9151517c433874cc54",
  "error": {},
  "payload": {
    "id": "7c6474ab26337a9151517c433874cc54",
    "customer_id": 85,
    "credit_line": 4000000,
    "credit_limit": 4010000,
    "available_credit": 1900000,
    "min_due_payment": 0,
    "total_due_payment": 0,
    "next_billing_date": "2025-10-24",
    "next_due_date": "2025-10-14",
    "status": 1
  }
}

{
  "timestamp": "2025-10-01T11:44:59.279329786-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/7c6474ab26337a9151517c433874cc55",
  "error": {
    "code": 5000,
    "text": "Validation Error",
    "hints": [
      "Validations for the request failed, please check the parameters and try again",
      "incorrect parent_id"
    ]
  },
  "payload": {}
}

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json